Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Is the firmware for the Airport Exreme going to be updated due to the KRACK vulnerability?

I have the last version of the Airport Extreme. Is Apple planning on updating the firmware for these devices to address the KRACK vulnerability?

Posted on

Reply

Page content loaded

Nov 15, 2017 3:07 PM in response to Hankus64 In response to Hankus64

You have posted your question on a user-to-user support site.....we are all users here.....just like you.


No one here will have any reliable information about what a secretive company like Apple might do, or when they might do it.


Your best bet would be to contact Apple directly to ask them about whether they plan to offer a fix for situations in which the AirPorts are acting as wireless clients on a network.

Nov 15, 2017 3:07 PM

Reply Helpful
User profile for user: Hankus64

Question: Is the firmware for the Airport Exreme going to be updated due to the KRACK vulnerability?